Java se réorganise de nouveau

Ce forum est dédié au nouveautés, événements autour du projet Opsi
otto
Beiträge: 57
Registriert: 08 Aug 2017, 12:16

Java se réorganise de nouveau

Beitragvon otto » 26 Jan 2019, 16:50

État au 2019-01-25

Chers utilisateurs d'opsi,

Considérant les changements des conditions de licence pour le Java JRE d'Oracle nous sommes
demandés très souvent: Quelle est la suite avec Java dans opsi et avec le paquet javavm de l'abonnement?

Java dans opsi:

L'opsi-configed fonctionne sans aucun problème avec l'openJDK gratuit et est donc (pour Windows)
combiné avec les versions gratiutes.
Plus précisement l'opsi-configed est combiné pour Windows avec jre-11 (soutient High-DPI)
ou avec jre-8, mais fonctionne aussi avec un autre open JDK.


L'utilisation de WebStart avec OpenJDK est problématique et donc ne sera pas soutenu. Avec le nouveau
release début janvier tous liens WebStart à l'opsi-configed seront abandonnés et ils vont référer aux
paquets setup de l'installation locale de l'opsi-configed.

* Le paquet jEdit publié dans stable fonctionne seulement avec java1.8.
Nous allons publier un paquet adapté et qui sera combiné avec un JRE approprié.
Le produit l-jEdit (pour Linux) fonctionne avec OpenJDK.

Vous trouvez un bon article de synthèse sur les alternatives Java sur https://blog.joda.org/2018/09/time-to-l ... s-jdk.html

Vous trouvez un paquet pour tester l'Oracle OpenJDK (seulement x64) pour l'installer sur Windows sous:

https://download.uib.de/opsi4.1/experim ... 0.2-1.opsi

L'avenir des paquets opsi Java (en abonnement):

Nous allons vous fournir aussi désormais les versions libres de Java:

* Le paquet actuel javavm (javavm_1.8.0.201or1.8.0.202-1) est archivé.


* Des paquets futurs javavm de l'abonnement standard vont contenir les OpenJDK actuels des producteurs suivants:
* SAP (nur x64)
* Amazon Corretto (ab April 2019)

Un premier paquet pour tester se trouve sous:

https://download.uib.de/opsi4.1/experim ... 0.2-1.opsi

* Supplémentaire au paquet javam nous allons introduire le paquet javavm8 pour l'abonnement standard.
Ce paquet devrait aider des clients qui ont de software qui a besoin de Java 1.8 respectivement Webstart.
Ce paquet contient des versions maintenues de Java 1.8 des producteurs suivants:

* Amazon Corretto
* ojdkbuild

Un premier paquet pour tester se trouve sous:
https://download.uib.de/opsi4.1/experim ... 191-1.opsi

avec Amazon Corretto 1.8.0.202 x64 et x86
aussi bien que

ojdkbuild 1.8.0.191 x64 und x86 mit Java Webstart.

(Tout comme https://github.com/ojdkbuild/ojdkbuild c'est un projet de communauté parrainé par RedHat.

La situation autour de l'environnement d'exécution est maintenant un peu confuse.
Nous esperons d'avoir trouvé les variants justes pour votre activité.
Nous allons suivre avec attention comment la situations va se déveloper et adapter nos offres adéquatement.


Bardo Wolf